Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class Robocode

    java.lang.Object
      robocode.Robocode

    public class Robocode

extends Object

Robocode - A programming game involving battling AI tanks.
Copyright (c) 2001, 2009 Mathew A. Nelson and Robocode contributors

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  robocode.sourceforge.net

Constructor Summary
`Robocode()`

Method Summary
`static void` | `main(String[] args)` Use the command-line to start Robocode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Robocode

    public Robocode()

Method Detail

### main

    public static void main(String[] args)

  Use the command-line to start Robocode. The command is:

          java -Xmx512M -Dsun.io.useCanonCaches=false -jar libs/robocode.jar

  Parameters:
    `args` - an array of command-line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.